Page MenuHomePhabricator

[WLM] Epic: Possibility for direct image upload for (German) WLM via monument lists in Wikipedia with a predefined category
Open, HighPublic

Description

As a WLM contester I would like to upload my image directly via monuments list where it’s missing so that I don’t need to go to the upload tool url.

As a WLM contester uploading an image via monuments lists I would like the tool to insert the proper category and the monument number automatically so that I don’t need to write it down and insert it by hand afterwards.

The category to be inserted should be as follows:

In case there is an individual row category in the template -> this category
In case there is no individual row category but there is a category for monuments in the municipality under “Weblinks” in the lower part of list -> this category
In case there is none of the above -> category for monuments in the county (Bundesland)

As a WLM contester I would like the tool to insert the uploaded image in the gap in the monuments list where I uploaded it so that it doesn’t have to be done manually and I can see it immediately in the list.

This Epic went through German WLM community feedback twice (online feedback and offline feedback at a WLM network meeting) :
https://de.wikipedia.org/wiki/Wikipedia:Wiki_Loves_Monuments_2015/Deutschland/Technische_Unterst%C3%BCtzung
https://de.wikipedia.org/wiki/Wikipedia_Diskussion:Wiki_Loves_Monuments_2015/Deutschland/Technische_Unterst%C3%BCtzung

Details:
Lists examples:
https://de.wikipedia.org/wiki/Liste_der_Kulturdenkmale_in_Berlin-Wilhelmsruh (in this list a camera icon indicates that an image is missing)
https://de.wikipedia.org/wiki/Liste_der_Kulturdenkmale_in_Berlin-Rosenthal (in this list blank space indicates that an image is missing, without camera icon)
https://de.wikipedia.org/wiki/Liste_der_Baudenkm%C3%A4ler_in_Altena (another type of list)

All links to lists for Germany:
https://de.wikipedia.org/wiki/Kategorie:Liste_(Kulturdenkmale_in_Deutschland)
http://www.wikilovesmonuments.de/de/denkmallisten/europa/deutschland/

Related Objects

StatusAssignedTask
OpenNone
Resolvedkai.nissen
Resolvedkai.nissen
ResolvedSnaterlicious
Resolvedkai.nissen
ResolvedAndrew-WMDE
DeclinedTobi_WMDE_SW
DeclinedNone
Resolvedgabriel-wmde
Declinedgabriel-wmde
Resolvedkai.nissen
Resolvedkai.nissen
Declinedkai.nissen
Resolvedkai.nissen
DeclinedNone
Resolved KasiaWMDE
Resolvedkai.nissen
Resolved KasiaWMDE
ResolvedTobi_WMDE_SW
Declined KasiaWMDE
DeclinedNone
DeclinedNone
Resolved KasiaWMDE
Resolved KasiaWMDE
ResolvedNone
Resolvedgabriel-wmde
ResolvedTobi_WMDE_SW
OpenNone
Opengabriel-wmde
Resolved KasiaWMDE
ResolvedTobi_WMDE_SW
Resolved KasiaWMDE
Resolvedgabriel-wmde
ResolvedNone
OpenNone

Event Timeline

KasiaWMDE raised the priority of this task from to Normal.
KasiaWMDE updated the task description. (Show Details)
KasiaWMDE added a project: TCB-Team.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2015, 4:25 PM
KasiaWMDE renamed this task from Epic: Possibility for direct image upload for (German) WLM via monument lists in Wikipedia with a predefined category to [WMDE internal] Epic: Possibility for direct image upload for (German) WLM via monument lists in Wikipedia with a predefined category .Jun 25 2015, 10:54 AM
KasiaWMDE set Security to None.
KasiaWMDE updated the task description. (Show Details)Jul 7 2015, 3:43 PM
KasiaWMDE updated the task description. (Show Details)Jul 7 2015, 3:46 PM
KasiaWMDE renamed this task from [WMDE internal] Epic: Possibility for direct image upload for (German) WLM via monument lists in Wikipedia with a predefined category to [WLMl] Epic: Possibility for direct image upload for (German) WLM via monument lists in Wikipedia with a predefined category .Jul 9 2015, 8:34 AM
KasiaWMDE renamed this task from [WLMl] Epic: Possibility for direct image upload for (German) WLM via monument lists in Wikipedia with a predefined category to [WLM] Epic: Possibility for direct image upload for (German) WLM via monument lists in Wikipedia with a predefined category .
KasiaWMDE raised the priority of this task from Normal to High.Jul 14 2015, 1:05 PM
KasiaWMDE moved this task from Analytics Tasks to Sprint Ready on the TCB-Team board.

@gabriel-wmde and @kai.nissen Please note that, as discussed, we need to add a hint in the last screen of the UploadWizard saying "Das Einfügen von dem Bild in die Denkmalliste kann bis zu 5 Minuten dauern" (for details see the last wireframe in T104693)

Romaine added a subscriber: Romaine.EditedAug 28 2015, 12:55 PM

Sorry to day, and I am sorry that I see this only now (not being part of the German community), however I am responsible for the upload campaigns of WLM. But this is a wrong development:

As a WLM contester I would like the tool to insert the uploaded image in the gap in the monuments list where I uploaded it so that it doesn’t have to be done manually and I can see it immediately in the list.

This is something what should not be done automatically. There always must be a human eye that checks the image before it should be added to any list.

In the past years many many many many mistakes have been made with the ID numbers. Many photos are uploaded with the wrong ID. Many people click in the lists to upload an image, and upload multiple images for multiple monuments (with multiple IDs).

The whole infrastructure for all the countries is in such way organised that there is always at least one human check before an uploaded image is added to a monument list.

Would it be possible to know more about what these tools do?
As the interim maintainer of the Wiki-Loves-Monuments-Database and ErfgoedBot, I would be interested in knowing more about them − and see how they could benefit other WLM implementations − as well as knowing whether ErfgoedBot support is still needed for wlm-de.

Pasting here as this seems to be the main page for this project.

Hi @JeanFred
Thanks for asking and your interest in this development. This solution applies only to German monuments lists in Wikipedia that use certain templates. As far as I know the German ID-System is not compatible with the global WLM database project and this is one of the reasons this feature was requested by the German WLM community for WLM 15. The feature should make sure that the images are categorized and can be found and re-used afterwards and receive the correct ID (which is only the case if there is an official ID in the monument list - this is not always the case). Finally, it should insert the image into the gap in the list where the upload was started (this happens only if there is a unique ID in the monument list for each object, otherwise the image won't be inserted into the gap). Additionally, we added links that make it possible to upload more picture, even if there is already a picture in the gap.

Here is how the workflow is intended to work and how it was approved by the German WLM community:

  1. When there is no image in the row (an image is missing) the image can be directly uploaded via this row in a monuments list
  2. The UploadWizard is suggesting a category and inserts the official ID if there is one (in the row, specific for this very monument)

The category is being inserted as follows:
*if there is a commonscat for the "row"/object in the template - this one gets suggested
*if there is no commonscat for the object in the template, the category for the municipality (the one all the objects of the lists are in) gets suggested
*if there is no category for municipality and no commonscat - the category of the German state gets suggested

The suggested category can be deleted, if the user wishes to. The IDs are only suggested if they are official IDs ( we have ID-checking patterns). If there is no such ID, no ID will be suggested. If the user upload multiple image he/she has to choose in the UploadWizard which one gets inserted into the gap in the monuments list. Only one image can be chosen.

  1. Inserting the image into the gap in the monuments list (this is where the user started the workflow)

The chosen image gets inserted into the list, all the other (in case user uploads more) stay on Commons as usual.

At the end of the workflow in UploadWizard there will be 2 buttons:
*"Back to the monument list" which brings the user back to where he started (where he can e.g. upload pictures of other monuments of the municipality)
*"Upload more pictures for this object" - if the user decided he wants to upload even more picture for the same object -> here the workflow gets repeated with one difference: there is no possibiliy to insert the image into the list as there is already one there

  1. In case there is already a picture for the object in the list: possibility to upload even more pictures for this object with a suggested category and official ID (if there is one)

**None of these pictures will be inserted into the list, as there is already a picture there (no possibility to choose)

You can see the exact workflow here (description in German as we prepared it for the German community): T104693#1527030

If you have any more questions or maybe more technical ones, let me know. If our development could be of any use for you and WLM in general, that would be great!

JeanFred added a comment.EditedSep 4 2015, 12:08 PM

Hi @KasiaWMDE

Thank you for your answers.

As far as I know the German ID-System is not compatible with the global WLM database project

In which ways? For information, there are currently 133 486 German monuments in the Monuments database.

and this is one of the reasons this feature was requested by the German WLM community for WLM 15.

I commend Wikimedia DE for helping out the German community for Wiki Loves Monuments.

  1. The UploadWizard is suggesting a category and inserts the official ID if there is one (in the row, specific for this very monument)

The category is being inserted as follows: [snip]

So unless I am mistaken, this functionality sounds like it is implementable in pure Wikitext/Lua. I’m pretty sure the French lists allow that (in a less smart way). Sounds like it could have been replicable in other countries

The IDs are only suggested if they are official IDs ( we have ID-checking patterns). If there is no such ID, no ID will be suggested.

Neat. Some countries might be in similar situations.

If the user upload multiple image he/she has to choose in the UploadWizard which one gets inserted into the gap in the monuments list. Only one image can be chosen.

I assume this was done by modifying UploadWizard ? Sounds like it could be a good addition. Could have been helpful for other countries.

At the end of the workflow in UploadWizard there will be 2 buttons:
*"Back to the monument list" which brings the user back to where he started (where he can e.g. upload pictures of other monuments of the municipality)
*"Upload more pictures for this object" - if the user decided he wants to upload even more picture for the same object -> here the workflow gets repeated with one difference: there is no possibiliy to insert the image into the list as there is already one there

Sounds like a very nice addition. I’m pretty sure many countries would like something like that.Is it documented anywhere? Is it achieved through Campaign configuration? URL parameter encoding?

(Could be worth mentioning in Commons:Upload_Wizard/Fields_prefilling or similar)

  1. In case there is already a picture for the object in the list: possibility to upload even more pictures for this object with a suggested category and official ID (if there is one)

**None of these pictures will be inserted into the list, as there is already a picture there (no possibility to choose)

Same as above.

If you have any more questions or maybe more technical ones, let me know. If our development could be of any use for you and WLM in general, that would be great!

That would be great indeed. Overall, as I believe it transpired in my inline answers, I think some of these features are great and could be very much appreciated by many countries ; and as such I am highly disappointed that these developments were not more widely communicated − dropping a line on wikilovesmonuments@ would have been enough to know what was developed for the German community and see if it could be used by others. Sounds like a very missed opportunity to me.

The other point is that I am not convinced that the Monuments database does not work for the German monuments (although it is possible of course) ; and if so, I don’t see either why some of these improvements could not have been made to the monuments database itself (especially as we struggled to find a maintainer this year). Heads-up to the WLM tech people would have been appreciated. Right now, some German lists are being harvested daily (like the others), which takes a lot of processing time − time that could be spent on processing other countries faster. If the German community prefers not to rely on the Monuments Database not ErfgoedBot (which is fine), I would appreciate a heads-up to consider deactivating it.

At the end of the workflow in UploadWizard there will be 2 buttons:
*"Back to the monument list" which brings the user back to where he started (where he can e.g. upload pictures of other monuments of the municipality)
*"Upload more pictures for this object" - if the user decided he wants to upload even more picture for the same object -> here the workflow gets repeated with one difference: there is no possibiliy to insert the image into the list as there is already one there

Sounds like a very nice addition. I’m pretty sure many countries would like something like that.Is it documented anywhere? Is it achieved through Campaign configuration? URL parameter encoding?
(Could be worth mentioning in Commons:Upload_Wizard/Fields_prefilling or similar)

  1. In case there is already a picture for the object in the list: possibility to upload even more pictures for this object with a suggested category and official ID (if there is one)

**None of these pictures will be inserted into the list, as there is already a picture there (no possibility to choose)

Same as above.

This is described on the extension's general documentation and its subpage for campaigns.

Thanks @kai.nissen! Looks good. I’ll read on and try do it myself − will ping one of you folks if I struggle :)

MartinK added a subscriber: MartinK.Sep 4 2015, 2:33 PM

@JeanFred Thanks for chiming in! I stumbled upon the erfgoedbot and the monuments database earlier in the project, but it was deactivated and the link on the bot user page to https://lists.wikimedia.org/pipermail/wikilovesmonuments/2015-June/007762.html suggested the project was dead, so I didn't follow up.

Tobi_WMDE_SW removed KasiaWMDE as the assignee of this task.Jan 6 2016, 4:05 PM
Tobi_WMDE_SW moved this task from Work in progress (TCB) to Done on the TCB-Team board.